Package com.pixelmed.display

# Class DescribeGraphicsEnvironment

java.lang.Object
com.pixelmed.display.DescribeGraphicsEnvironment

public class DescribeGraphicsEnvironment extends Object

This class describes the graphics environment (number and type and size of displays).

## Constructor Summary

Constructors
Constructor
Description
`DescribeGraphicsEnvironment()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`dumpBufferCapabilities(BufferCapabilities bc, String label, String indent)`
`static String`
`dumpDisplayMode(DisplayMode dm, String label, String indent)`
`static String`
`dumpGraphicsConfiguration(GraphicsConfiguration gc, String label, String indent)`
`static String`
`dumpGraphicsDevice(GraphicsDevice gd, String label, String indent)`
`static String`
`dumpGraphicsEnvironment(GraphicsEnvironment ge, String label, String indent)`
`static String`
`dumpImageCapabilities(ImageCapabilities ic, String label, String indent)`
`static void`
`main(String[] arg)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DescribeGraphicsEnvironment

public DescribeGraphicsEnvironment()

## Method Details

### dumpImageCapabilities

public static String dumpImageCapabilities(ImageCapabilities ic, String label, String indent)

### dumpBufferCapabilities

public static String dumpBufferCapabilities(BufferCapabilities bc, String label, String indent)

### dumpGraphicsConfiguration

public static String dumpGraphicsConfiguration(GraphicsConfiguration gc, String label, String indent)

### dumpDisplayMode

public static String dumpDisplayMode(DisplayMode dm, String label, String indent)

### dumpGraphicsDevice

public static String dumpGraphicsDevice(GraphicsDevice gd, String label, String indent)

### dumpGraphicsEnvironment

public static String dumpGraphicsEnvironment(GraphicsEnvironment ge, String label, String indent)

### main

public static void main(String[] arg)